package main

import (
	"strings"
)

// SplitBySpace 按空格分割字符串
func SplitBySpace(s string) []string {
	return strings.Split(s, " ")
}

// ContainsPart 判断 target 是否包含 regionParts 中的任意片段（模糊匹配）
func ContainsPart(target string, REGION string) bool {
	regionParts := SplitBySpace(REGION)

	for _, rp := range regionParts {
		//fmt.Println("regionParts:", rp)
		if strings.Contains(target, rp) {
			return true
		}
	}
	return false
}

/*
func main() {
	REGION := "中国 内网"

	fmt.Println("结果1:", ContainsPart("美国", REGION)) // true
}
*/
